Package ru.bitel.bgbilling.kernel.event.events

# Class ChangeContractLimitEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ChangeContractLimitEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class ChangeContractLimitEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие, которое бросается в момент попытки изменить лимит договора (как в ЛК, так и в клиенте биллинга) с целью поменять штатную логику понижения лимита (в зависимости от платежей, просрочек и вот этого вот всего). Если скрипт-обработки выставляет флаг processed=true, то тогда штатная логика не срабатывает.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ChangeContractLimitEvent()`
  ``
  `ChangeContractLimitEvent(int contractId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  Возвращает сообщение, установленное скриптом.
  `boolean`
  `isProcessed()`
  Возвращает признак обработанности события скриптом.
  `void`
  `setMessage(String message)`
  Установка сообщения скриптом, которое должно отобразиться пользователю.
  `void`
  `setProcessed(boolean processed)`
  Установка флага обработанности события скриптом.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeContractLimitEvent

    protected ChangeContractLimitEvent()

  - ### ChangeContractLimitEvent

    public ChangeContractLimitEvent(int contractId, int userId)

- ## Method Details

  - ### isProcessed

    public boolean isProcessed()
    Возвращает признак обработанности события скриптом. В этом случае штатная лгика по изменению лимита договора не выполняется.
    Returns:
      processed - признак обработанности события. true - обработано, false - не обработано.

  - ### setProcessed

    public void setProcessed(boolean processed)
    Установка флага обработанности события скриптом.
    Parameters:
      `processed` - - флаг обработанности события скриптом

  - ### getMessage

    public String getMessage()
    Возвращает сообщение, установленное скриптом.
    Returns:
      message сообщение

  - ### setMessage

    public void setMessage(String message)
    Установка сообщения скриптом, которое должно отобразиться пользователю.
    Parameters:
      `message` - сообщение